Item12474: replace yuicompressor with a better state-of-the-art tool

Priority: Urgent
Current State: Closed
Released In: 1.1.9
Target Release: patch
Applies To: Extension
Component: BuildContrib, JQueryPlugin
Branches: Release01x01 trunk
Reported By: MichaelDaum
Waiting For:
Last Change By: GeorgeClark
See the comments at

The new jquery-2.0.0 won't compress anymore using yuicompressor.


-- MichaelDaum - 19 Apr 2013

uglifyjs is excellent, works out of the box, is used by a lot of other javascript-related projects.

-- MichaelDaum - 14 May 2013

This also needs BuildContrib to be updated.

And we should remove yuicompressor from the JQueryPlugin MANIFEST file.

This is blocking for 1.1.9.

-- GeorgeClark - 22 Oct 2013

Please leave yuicompressor where it is for now.

See also Item12614

-- MichaelDaum - 25 Oct 2013
Topic revision: r11 - 19 Nov 2013, GeorgeClark - This page was cached on 26 Oct 2016 - 11:27.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License